Home Home > GIT Browse
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichal Suchanek <msuchanek@suse.de>2019-10-22 17:04:22 +0200
committerMichal Suchanek <msuchanek@suse.de>2019-10-22 17:04:22 +0200
commit1ef04f629f90c3d8c3a73bff13e65902066bd8b8 (patch)
tree80935d67462a3d258a932e6066bf7bc032d9d21a
parent46b257f64ed870b9639c200ad53b7a482e92e9f8 (diff)
parent93f16d6140d8cd3404fd43f42e48668e910a986c (diff)
Merge branch 'SLE15' into SLE12-SP4
-rw-r--r--patches.suse/dasd_fba-Display-00000000-for-zero-page-when-dumping.patch2
-rwxr-xr-xrpm/arch-symbols2
-rwxr-xr-xrpm/check-module-license2
-rw-r--r--rpm/dtb.spec.in.in4
-rw-r--r--rpm/gitlog-excludes1
-rw-r--r--rpm/kernel-binary.spec.in100
-rw-r--r--rpm/kernel-module-subpackage2
-rw-r--r--rpm/kernel-obs-build.spec.in2
-rw-r--r--rpm/kernel-subpackage-build4
-rwxr-xr-xrpm/klp-symbols18
-rw-r--r--rpm/macros.kernel-source5
-rwxr-xr-xrpm/mergedep2
-rwxr-xr-xrpm/mkspec21
-rwxr-xr-xrpm/mkspec-dtb12
-rwxr-xr-xrpm/modflist2
-rw-r--r--rpm/preun.sh2
-rwxr-xr-xrpm/split-modules6
-rwxr-xr-xscripts/git_sort/git_sort.py2
-rwxr-xr-xscripts/install-git-hooks4
19 files changed, 134 insertions, 59 deletions
diff --git a/patches.suse/dasd_fba-Display-00000000-for-zero-page-when-dumping.patch b/patches.suse/dasd_fba-Display-00000000-for-zero-page-when-dumping.patch
index 8b5f4aa828..4b30572438 100644
--- a/patches.suse/dasd_fba-Display-00000000-for-zero-page-when-dumping.patch
+++ b/patches.suse/dasd_fba-Display-00000000-for-zero-page-when-dumping.patch
@@ -3,7 +3,7 @@ From: Hannes Reinecke <hare@suse.de>
Date: Wed, 20 Feb 2019 08:19:13 +0100
Subject: [PATCH] dasd_fba: Display '00000000' for zero page when dumping sense
-References: bsc#11123080
+References: bsc#1123080
Patch-mainline: no, test patch for now
When a discard I/O fails, dasd_fba_dump_sense() will crash as it
diff --git a/rpm/arch-symbols b/rpm/arch-symbols
index 6a80fdd35b..9b82f9227d 100755
--- a/rpm/arch-symbols
+++ b/rpm/arch-symbols
@@ -25,7 +25,7 @@
if [ "$1" = "--list" ]; then
# List all known architectures
- echo i386 mips{,64} sparc{,64} ppc{,64,64le} s390{,x} ia64 x86_64 alpha parisc armv6hl armv7hl arm64
+ echo i386 mips{,64} sparc{,64} ppc{,64,64le} s390{,x} ia64 x86_64 alpha parisc armv6hl armv7hl arm64 riscv64
exit 0
fi
diff --git a/rpm/check-module-license b/rpm/check-module-license
index 9910deec18..b5f67fce99 100755
--- a/rpm/check-module-license
+++ b/rpm/check-module-license
@@ -1,7 +1,7 @@
#!/bin/sh
rc=0
-for file in $(find "$@" -name '*.ko'); do
+for file in $(find "$@" -name '*.ko' -o -name '*.ko.xz'); do
l=$(/sbin/modinfo -F license "$file")
if [ -z "$l" ]; then
echo "ERROR: No license is included for module ${file##*/lib/modules/}"
diff --git a/rpm/dtb.spec.in.in b/rpm/dtb.spec.in.in
index 8badeb3a98..60e2c9af55 100644
--- a/rpm/dtb.spec.in.in
+++ b/rpm/dtb.spec.in.in
@@ -88,10 +88,10 @@ done
cd pp
for dts in $ALL_SUPPORTED_DTB; do
target=${dts%*.dts}
- install -m 700 -d %{buildroot}%{dtbdir}/$(dirname $target)
+ install -m 755 -d %{buildroot}%{dtbdir}/$(dirname $target)
# install -m 644 COPYING %{buildroot}%{dtbdir}/$(dirname $target)
install -m 644 $target.dtb %{buildroot}%{dtbdir}/$(dirname $target)
-%ifarch aarch64
+%ifarch aarch64 riscv64
# HACK: work around U-Boot ignoring vendor dir
baselink=%{dtbdir}/$(basename $target).dtb
vendordir=$(basename $(dirname $target))
diff --git a/rpm/gitlog-excludes b/rpm/gitlog-excludes
index b022574aa6..fadf59fbc5 100644
--- a/rpm/gitlog-excludes
+++ b/rpm/gitlog-excludes
@@ -2,3 +2,4 @@
bac621c6704610562ebd9e74ae5ad85ca8025681
5568093d5dbacaeb60b6e0f7f4bbe384b586b82a
821419f311f3edd58124e551664a2362b62671d6
+dc247e12f003761deeb591821ef78cde0b4f565f
diff --git a/rpm/kernel-binary.spec.in b/rpm/kernel-binary.spec.in
index 2fb770791b..9dcc1ea72f 100644
--- a/rpm/kernel-binary.spec.in
+++ b/rpm/kernel-binary.spec.in
@@ -21,6 +21,8 @@
%define patchversion @PATCHVERSION@
%define variant @VARIANT@%{nil}
%define vanilla_only @VANILLA_ONLY@
+%define compress_modules @COMPRESS_MODULES@
+%define livepatch @LIVEPATCH@%{nil}
%include %_sourcedir/kernel-spec-macros
@@ -329,12 +331,16 @@ if [ -f %_sourcedir/localversion ] ; then
cat %_sourcedir/localversion > localversion
fi
-vanilla_base="default"
+config_base="default"
%ifarch %ix86
-vanilla_base="pae"
+config_base="pae"
%endif
+if ! [ -f %my_builddir/config/%cpu_arch/$config_base ] ; then
+ config_base=%variant
+ config_base=${config_base#-}
+fi
if ! grep -q CONFIG_MMU= "%my_builddir/config/%cpu_arch_flavor"; then
-cp "%my_builddir/config/%cpu_arch/$vanilla_base" .config
+cp "%my_builddir/config/%cpu_arch/$config_base" .config
../scripts/kconfig/merge_config.sh -m .config \
%my_builddir/config/%cpu_arch_flavor
else
@@ -379,6 +385,9 @@ case %cpu_arch in
armv*)
MAKE_ARGS="$MAKE_ARGS ARCH=arm"
;;
+ riscv*)
+ MAKE_ARGS="$MAKE_ARGS ARCH=riscv"
+ ;;
*)
MAKE_ARGS="$MAKE_ARGS ARCH=%cpu_arch"
;;
@@ -474,21 +483,6 @@ done
%install
-# sign the modules, firmware and possibly the kernel in the buildservice
-BRP_PESIGN_FILES=""
-%if %CONFIG_EFI_STUB == "y"
-BRP_PESIGN_FILES="/boot/vmlinuz-%kernelrelease-%build_flavor"
-%endif
-%if %CONFIG_MODULE_SIG == "y"
-BRP_PESIGN_FILES="$BRP_PESIGN_FILES *.ko"
-%endif
-%ifarch %ix86
-# XXX: do not sign on x86, as the repackaging changes kernel-pae
-# from i686 to i586
-BRP_PESIGN_FILES=""
-%endif
-export BRP_PESIGN_FILES
-
# get rid of /usr/lib/rpm/brp-strip-debug
# strip removes too much from the vmlinux ELF binary
export NO_BRP_STRIP_DEBUG=true
@@ -546,7 +540,11 @@ add_vmlinux()
%endif
%ifarch s390 s390x
add_vmlinux --compressed
- cp -p arch/s390/boot/image %buildroot/boot/image-%kernelrelease-%build_flavor
+ image=image
+ if test ! -f arch/s390/boot/$image; then
+ image=bzImage
+ fi
+ cp -p arch/s390/boot/$image %buildroot/boot/image-%kernelrelease-%build_flavor
image=image
if test -e arch/s390/boot/kerntypes.o; then
cp -p arch/s390/boot/kerntypes.o %buildroot/boot/Kerntypes-%kernelrelease-%build_flavor
@@ -568,6 +566,29 @@ add_vmlinux()
image=Image
cp -p arch/arm64/boot/$image %buildroot/boot/$image-%kernelrelease-%build_flavor
%endif
+%ifarch riscv64
+ add_vmlinux --compressed
+ image=Image
+ cp -p arch/riscv/boot/$image %buildroot/boot/$image-%kernelrelease-%build_flavor
+%endif
+
+# sign the modules, firmware and possibly the kernel in the buildservice
+BRP_PESIGN_FILES=""
+%if %CONFIG_EFI_STUB == "y"
+BRP_PESIGN_FILES="/boot/$image-%kernelrelease-%build_flavor"
+%endif
+%if %CONFIG_MODULE_SIG == "y"
+BRP_PESIGN_FILES="$BRP_PESIGN_FILES *.ko"
+%endif
+%ifarch %ix86
+# XXX: do not sign on x86, as the repackaging changes kernel-pae
+# from i686 to i586
+BRP_PESIGN_FILES=""
+%endif
+export BRP_PESIGN_FILES
+%if %{compress_modules} != "none"
+export BRP_PESIGN_COMPRESS_MODULE=%{compress_modules}
+%endif
if test -x /usr/lib/rpm/pesign/gen-hmac; then
$_ -r %buildroot /boot/$image-%kernelrelease-%build_flavor
@@ -803,6 +824,10 @@ if [ %CONFIG_MODULES = y ]; then
fi
rm -rf %{buildroot}/lib/firmware
+if [ %CONFIG_MODULES = y ]; then
+ # file contains number of CPUs, making builds hard to reproduce
+ find %{buildroot}/usr/src/linux-*-obj/ -name .kernel-binary.spec.buildenv -delete
+fi
add_dirs_to_filelist() {
sed -rn '
@@ -861,7 +886,8 @@ done | add_dirs_to_filelist >%my_builddir/kernel-devel.files
find lib/modules/%kernelrelease-%build_flavor \
-type d -o \
\( -path '*/modules.*' ! -path '*/modules.order' \
- ! -path '*/modules.builtin' \) -printf '%%%%ghost /%%p\n' \
+ ! -path '*/modules.builtin' \
+ ! -path '*/modules.builtin.modinfo' \) -printf '%%%%ghost /%%p\n' \
-o -name '*.ko' -prune -o -type f -printf '/%%p\n'
cat %my_builddir/base-modules
fi
@@ -1053,42 +1079,48 @@ kernel module packages) against the %build_flavor flavor of the kernel.
/usr/src/linux-obj/%kmp_target_cpu
%endif
-%if %CONFIG_SUSE_KERNEL_SUPPORTED == "y"
-%package livepatch
-Summary: Metapackage to pull in matching kernel-livepatch package
+%if "%livepatch" != "" && %CONFIG_SUSE_KERNEL_SUPPORTED == "y" && "%variant" == ""
+%if %livepatch == kgraft
+%define patch_package %{livepatch}-patch
+%else
+%define patch_package kernel-%{livepatch}
+%endif
+%package %{livepatch}
+Summary: Metapackage to pull in matching %patch_package package
Group: System/Kernel
-Requires: kernel-livepatch-%(echo %version-%source_rel | sed 'y/\./_/')-%build_flavor
+Requires: %{patch_package}-%(echo %{version}-%{source_rel} | sed 'y/\./_/')-%{build_flavor}
Provides: kernel-default-kgraft = %version
Provides: kernel-xen-kgraft = %version
Provides: multiversion(kernel)
+%if "%livepatch" != "kgraft"
Obsoletes: kernel-default-kgraft < %version
Obsoletes: kernel-xen-kgraft < %version
+%endif
-%description livepatch
-This is a metapackage that pulls in the matching kernel-livepatch package for a
+%description %{livepatch}
+This is a metapackage that pulls in the matching %patch_package package for a
given kernel version. The advantage of the metapackage is that its name is
-static, unlike the kernel-livepatch-<kernel-version>-flavor package names.
+static, unlike the %{patch_package}-<kernel-version>-flavor package names.
-%files livepatch
+%files %{livepatch}
# rpmlint complains about empty packages, so lets own something
%defattr(-, root, root)
%dir /lib/modules/%kernelrelease-%build_flavor
%endif
-%if 0%{?klp_symbols}
-
-%package livepatch-devel
-Summary: Kernel symbols file used during livepatch development
+%if 0%{?klp_symbols} && "%livepatch" != ""
+%package %{livepatch}-devel
+Summary: Kernel symbols file used during kGraft patch development
Group: System/Kernel
Provides: klp-symbols = %version
-%description livepatch-devel
+%description %{livepatch}-devel
This package brings a file named Symbols.list, which contains a list of all
kernel symbols and its respective kernel object . This list is to be used by
the klp-convert tool, which helps livepatch developers by enabling automatic
symbol resolution.
-%files livepatch-devel
+%files %{livepatch}-devel
%defattr(-, root, root)
%dir %obj_install_dir
%dir %obj_install_dir/%cpu_arch
diff --git a/rpm/kernel-module-subpackage b/rpm/kernel-module-subpackage
index 1f0e900719..5bee387b47 100644
--- a/rpm/kernel-module-subpackage
+++ b/rpm/kernel-module-subpackage
@@ -75,7 +75,7 @@ fi
%{?regenerate_initrd_posttrans}
%preun -n %{-n*}-kmp-%1
nvr=%{-n*}-kmp-%1-%_this_kmp_version-%{-r*}
-rpm -ql $nvr | sed -n '/\.ko$/p' > /var/run/rpm-$nvr-modules
+rpm -ql $nvr | sed -n '/\.ko\(\.xz\)\?$/p' > /var/run/rpm-$nvr-modules
%postun -n %{-n*}-kmp-%1
nvr=%{-n*}-kmp-%1-%_this_kmp_version-%{-r*}
modules=( $(cat /var/run/rpm-$nvr-modules) )
diff --git a/rpm/kernel-obs-build.spec.in b/rpm/kernel-obs-build.spec.in
index 91ad608e44..9d68deb489 100644
--- a/rpm/kernel-obs-build.spec.in
+++ b/rpm/kernel-obs-build.spec.in
@@ -136,7 +136,7 @@ ROOT=""
%ifarch %arm
%define kernel_name zImage
%endif
-%ifarch aarch64
+%ifarch aarch64 riscv64
%define kernel_name Image
%endif
diff --git a/rpm/kernel-subpackage-build b/rpm/kernel-subpackage-build
index 6fcf94daca..ccb08d1903 100644
--- a/rpm/kernel-subpackage-build
+++ b/rpm/kernel-subpackage-build
@@ -58,9 +58,7 @@ cat kernel-ghost.flist | while read ghost ; do
ln -s $ghost-$KREL $RPM_BUILD_ROOT$ghost
;;
/boot/vmlinux-$KREL)
- [ -f /boot/vmlinux-$KREL.gz ] && gunzip -dc < /boot/vmlinux-$KREL.gz > vmlinux-$KREL
- size="$(ls -l vmlinux-$KREL | sed -e 's/^\([^ ]* \)\{4\}//' -e 's/ .*//')"
- dd if=/dev/zero bs=1 count=1 seek="$(expr $size - 1)" of=$RPM_BUILD_ROOT$ghost
+ [ -f /boot/vmlinux-$KREL.gz ] && touch vmlinux-$KREL
;;
/boot/initrd-$KREL | /boot/initrd-$KREL-kdump)
# Create a dummy initrd with roughly the size the real one will have.
diff --git a/rpm/klp-symbols b/rpm/klp-symbols
index c108030a9e..07580f8170 100755
--- a/rpm/klp-symbols
+++ b/rpm/klp-symbols
@@ -30,8 +30,13 @@ if ! test -f "$VMLINUX" ; then
fi
if ! test -d "$MODVER_DIR" ; then
- echo "Error: Directory does not exist: $MODVER_DIR" >&2
- exit 1
+ # kernel >= 5.3 has *.mod in the build tree
+ mod_cnt=$(find "$KERNEL_BUILD_DIR" -name '*.mod' | wc -l)
+ if [ $mod_cnt -eq 0 ]; then
+ echo "Error: Directory does not exist: $MODVER_DIR" >&2
+ exit 1
+ fi
+ MODVER_DIR="$KERNEL_BUILD_DIR"
fi
get_symbols()
@@ -44,8 +49,13 @@ echo "*vmlinux" >> "$KLP_SYMBOLS"
get_symbols "$VMLINUX" >> "$KLP_SYMBOLS"
find "$MODVER_DIR" -iname '*.mod' | while read KMOD ; do
- # read .ko path and file from .mod file
- KO_FILE="$(head -n1 $KMOD)"
+ if [ "$MODVER_DIR" = "$KERNEL_BUILD_DIR" ]; then
+ # kernel >= 5.3, just replace the suffix
+ KO_FILE="${KMOD%.mod}.ko"
+ else
+ # kernel <= 5.2, read .ko path and file from .mod file
+ KO_FILE="$(head -n1 $KMOD)"
+ fi
# obtain module name and its object file by processing .ko file name
NO_SUFFIX="$(basename -s .ko $KO_FILE)"
diff --git a/rpm/macros.kernel-source b/rpm/macros.kernel-source
index 1e69532597..b06448bfd1 100644
--- a/rpm/macros.kernel-source
+++ b/rpm/macros.kernel-source
@@ -1,6 +1,6 @@
# A few cross-distro definitions:
%kernel_module_package_release 1
-%kernel_module_package_buildreqs modutils kernel-syms
+%kernel_module_package_buildreqs modutils kernel-syms kmod-compat
%cpu_arch %(case %_target_cpu in \
# from rpm --eval '%ix86' \
@@ -31,6 +31,9 @@ esac)
(armv*) \
echo "arm" \
;; \
+ (riscv*) \
+ echo "riscv" \
+ ;;
(*) \
echo "%cpu_arch" \
;; \
diff --git a/rpm/mergedep b/rpm/mergedep
index f1e7994d0a..c0ca85a829 100755
--- a/rpm/mergedep
+++ b/rpm/mergedep
@@ -7,10 +7,12 @@ cat /lib/modules/$KREL/modules.softdep | grep : | sed -e 's/^softdep //' -e 's/
| \
while read l ; do
MOD=$(echo "$l" | sed -e 's/:.*//')
+ MOD=$(basename $MOD .xz)
MOD=$(basename $MOD .ko)
DEPS="$(echo "$l" | sed -e 's/.*://')"
moddeps=""
for dep in $DEPS ; do
+ dep=$(basename $dep .xz)
dep=$(basename $dep .ko)
moddeps="$moddeps $dep"
done
diff --git a/rpm/mkspec b/rpm/mkspec
index 4467462c44..b18845cf2d 100755
--- a/rpm/mkspec
+++ b/rpm/mkspec
@@ -37,6 +37,20 @@ my @kmps = read_kmps();
my %vars = parse_config_sh();
my ($srcversion, $variant, $vanilla_only) =
($vars{'SRCVERSION'}, $vars{'VARIANT'}, $vars{'VANILLA_ONLY'});
+my $compress_modules = 'none';
+my $build_dtbs = ();
+my $livepatch = "";
+if (defined($vars{'COMPRESS_MODULES'})) {
+ $compress_modules = $vars{'COMPRESS_MODULES'};
+}
+if (defined($vars{'BUILD_DTBS'})) {
+ $build_dtbs = $vars{'BUILD_DTBS'};
+ $build_dtbs = () if $build_dtbs =~ /^(0+|no|false)$/i;
+}
+if (defined($vars{'LIVEPATCH'})) {
+ $livepatch = $vars{'LIVEPATCH'};
+ $livepatch = "" if $livepatch =~ /^(0+|no|none)$/i;
+}
$vanilla_only ||= "0";
if (!defined ($rpmrelease)) {
$rpmrelease = $vars{'RELEASE'} || 0;
@@ -76,7 +90,8 @@ my $scripts = join(",", grep { is_script($_) }
my $tarball_url;
if ($srcversion =~ /^(\d+)(?:\.\d+)*(-rc\d+)?$/) {
$tarball_url = "http://www.kernel.org/pub/linux/kernel/v$1.x/";
- $tarball_url .= "testing/" if $2;
+ $tarball_url = "" if $2; # kernel.org has no tarballs for rc kernels
+ # rc tarballs only available from git as https://git.kernel.org/torvalds/t/linux-*.gz
} else {
# kernel.org has no tarballs for linux-next or vanilla snapshots
$tarball_url = "";
@@ -99,7 +114,9 @@ my %macros = (
NOSOURCE => $nosource,
UNPACK_PATCHES => $unpack_patches,
SCRIPTS => $scripts,
+ LIVEPATCH => $livepatch,
YEAR => (localtime time)[5] + 1900,
+ COMPRESS_MODULES => $compress_modules,
);
# binary spec files
@@ -204,7 +221,7 @@ if (!$variant) {
}
# dtb-*.spec
-if (!$variant) {
+if (!$variant && $build_dtbs) {
do_spec('dtb', "dtb.spec.in", %macros);
print "./mkspec-dtb $all_archs\n";
system("./mkspec-dtb $all_archs\n");
diff --git a/rpm/mkspec-dtb b/rpm/mkspec-dtb
index 504e191118..92ca10ab60 100755
--- a/rpm/mkspec-dtb
+++ b/rpm/mkspec-dtb
@@ -83,6 +83,11 @@ my @aarch64_package_list = (
['dtb-zte', 'zte/*.dts', "ZTE based arm64 systems"],
);
+# DTB packages names
+my @riscv64_package_list = (
+ ['dtb-sifive', 'sifive/*.dts', "SiFive based riscv64 systems"],
+);
+
sub generate_spec($$$)
{
my ($main_package, $exclusive_arch, $package_list) = @_;
@@ -103,6 +108,8 @@ sub generate_spec($$$)
my $DTS_folder = "arch/arm/boot/dts";
if ($exclusive_arch =~ /aarch64/) {
$DTS_folder = "arch/arm64/boot/dts";
+ } elsif ($exclusive_arch =~ /riscv64/) {
+ $DTS_folder = "arch/riscv/boot/dts";
}
foreach my $NAME (@$package_list) {
@@ -155,7 +162,7 @@ sub generate_spec($$$)
}
$subpkg_files .=
- "%ifarch aarch64\n" .
+ "%ifarch aarch64 riscv64\n" .
"%files -n $PKG_NAME -f $PKG_NAME.list\n" .
"%else\n" .
"%files -n $PKG_NAME\n" .
@@ -195,3 +202,6 @@ generate_spec('dtb-armv6l', "armv6l armv6hl", \@armv6l_package_list);
if ( grep( /aarch64/, @ARGV)) {
generate_spec('dtb-aarch64', "aarch64", \@aarch64_package_list);
}
+if ( grep( /riscv64/, @ARGV)) {
+generate_spec('dtb-riscv64', "riscv64", \@riscv64_package_list);
+}
diff --git a/rpm/modflist b/rpm/modflist
index 476b541c67..62d8f3a08f 100755
--- a/rpm/modflist
+++ b/rpm/modflist
@@ -6,5 +6,5 @@ mod_builtin=$4
while read MOD ; do
[ -n "$MOD" ] || continue
- cat $flist | grep /$MOD[.]ko\$ >> $output || { grep -q /$MOD[.]ko\$ $mod_builtin && echo Module $MOD built-in ;} || echo Module $MOD missing
+ cat $flist | grep -E "/$MOD[.]ko([.]xz)?\$" >> $output || { grep -q /$MOD[.]ko\$ $mod_builtin && echo Module $MOD built-in ;} || echo Module $MOD missing
done < $modules
diff --git a/rpm/preun.sh b/rpm/preun.sh
index 7d1a2708c5..005cb95b74 100644
--- a/rpm/preun.sh
+++ b/rpm/preun.sh
@@ -1,4 +1,4 @@
if [ @BASE_PACKAGE@ = 0 ]; then
nvr=@SUBPACKAGE@-@RPM_VERSION_RELEASE@
- rpm -ql $nvr | grep '\.ko$' > /var/run/rpm-$nvr-modules
+ rpm -ql $nvr | grep '\.ko\(\.xz\)\?$' > /var/run/rpm-$nvr-modules
fi
diff --git a/rpm/split-modules b/rpm/split-modules
index ecb967e921..329b110342 100755
--- a/rpm/split-modules
+++ b/rpm/split-modules
@@ -59,8 +59,8 @@ trap 'rm -rf "$tmp"' EXIT
tmp=$(mktemp -d)
mkdir "$tmp/empty"
-find "$opt_dir" -type f -name '*.ko' -printf '/%P\n' | \
- awk -F/ '{ n=$NF; gsub(/-/, "_", n); sub(/\.ko$/, "", n); print n " " $0; }' | \
+find "$opt_dir" -type f \( -name '*.ko' -o -name '*.ko.xz' \) -printf '/%P\n' | \
+ awk -F/ '{ n=$NF; gsub(/-/, "_", n); sub(/\.ko(\.xz)?$/, "", n); print n " " $0; }' | \
sort >"$tmp/all"
err=false
@@ -101,7 +101,7 @@ ifdef EXPLAIN
@for dep in $^; do echo "$$dep needed by $@"; done >> $(EXPLAIN)
endif
'
- sed -r 's:[^ ]*/([^/]*)\.ko\>:\1:g; y/-/_/' "$modules_dep"
+ sed -r 's:[^ ]*/([^/]*)\.ko(.xz)?\>:\1:g; y/-/_/' "$modules_dep"
) >"$tmp/dep"
add_dependent_modules()
diff --git a/scripts/git_sort/git_sort.py b/scripts/git_sort/git_sort.py
index bf50fe84d2..3341b53c7c 100755
--- a/scripts/git_sort/git_sort.py
+++ b/scripts/git_sort/git_sort.py
@@ -239,6 +239,8 @@ remotes = (
Head(RepoURL("rafael/linux-pm.git")),
Head(RepoURL("git://git.cmpxchg.org/linux-mmots.git"), "master"),
Head(RepoURL("git://git.linux-nfs.org/~bfields/linux.git"), "nfsd-next"),
+ Head(RepoURL("vkoul/soundwire.git"),"fixes"),
+ Head(RepoURL("vkoul/soundwire.git"),"next"),
)
diff --git a/scripts/install-git-hooks b/scripts/install-git-hooks
index 69bebc942f..5c261fa71f 100755
--- a/scripts/install-git-hooks
+++ b/scripts/install-git-hooks
@@ -101,10 +101,10 @@ clean_config()
! git config --local --get-all "include.path" | \
grep -q "../extra-gitconfig"; then
if git config --local --get "merge.rpm-changes.name" >/dev/null; then
- git config --local --remove_section "merge.rpm-changes"
+ git config --local --remove-section "merge.rpm-changes"
fi
if git config --local --get "diff.symsets.textconv" >/dev/null; then
- git config --local --remove_section "diff.symsets"
+ git config --local --remove-section "diff.symsets"
fi
git config --add "include.path" "../extra-gitconfig"
fi